Bug 1478558 - Container build pods are linked to build configurations from wrong namespaces
Summary: Container build pods are linked to build configurations from wrong namespaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Erez Freiberger
QA Contact: Shalom Naim
URL:
Whiteboard: container
Depends On: 1469482
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 19:30 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1469482
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-14 22:26:05 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/e9977cb3d57b87d7aba709dba7addf0aa6dfdd17

commit e9977cb3d57b87d7aba709dba7addf0aa6dfdd17
Author:     Federico Simoncelli <federico.simoncelli@gmail.com>
AuthorDate: Tue Jul 11 15:27:42 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Aug 14 18:23:44 2017 -0400

    Merge pull request #33 from enoodle/fix_builds_namespace_matching
    
    fix builds namespace matching
    (cherry picked from commit b5f96e01870748070b2cd730693dc3c0ffae17dd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478558

 .../openshift/container_manager/refresh_parser.rb  |   9 +-
 .../container_manager/refresh_parser_spec.rb       | 123 +++++++++++++++------
 2 files changed, 97 insertions(+), 35 deletions(-)

Comment 3 Erez Freiberger 2017-08-21 11:36:52 UTC
This was backported 7 days ago, So it should be in POST now

Comment 7 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.